List legal holds
GET
/v1/legal-holdscurl -X GET 'https://api.embodiflow.io/v1/legal-holds' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statusstring可选值activereleased
- scopeTypestring可选值tenantprojectdatasetdatasetVersionstorageObject
- scopeIdstring (uuid)
响应
Success
- dataarray<LegalHoldSummaryDto>必填
- idstring必填
- tenantIdstring必填
- scopeTypestring必填可选值tenantprojectdatasetdatasetVersionstorageObject
- scopeIdstring | null必填
- reasonstring必填
- placedBystring必填
- placedAtstring必填
- releasedBystring | null必填
- releasedAtstring | null必填
- authoritystring必填可选值tenantplatform
- statusstring必填可选值activereleased
- createdAtstring必填
- updatedAtstring必填
- metaobject必填
- pageSizenumber必填
- requestIdstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"scopeType": "tenant",
"scopeId": "string",
"reason": "string",
"placedBy": "string",
"placedAt": "string",
"releasedBy": "string",
"releasedAt": "string",
"authority": "tenant",
"status": "active",
"createdAt": "string",
"updatedAt": "string"
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1